org.apache.ignite.cache.store.jdbc.dialect

## Class DB2Dialect

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect
  - - org.apache.ignite.cache.store.jdbc.dialect.DB2Dialect

All Implemented Interfaces:
  JdbcDialect

    public class DB2Dialect
    extends BasicJdbcDialect

A dialect compatible with the IBM DB2 database.

### Field Summary

### Fields inherited from class org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect

`DFLT_MAX_PARAMS_CNT, maxParamsCnt`

### Constructor Summary

Constructors
Constructor and Description
`DB2Dialect()`

### Method Summary

Methods
`boolean` `hasMerge()`
`String` `mergeQuery(String fullTblName, Collection<String> keyCols, Collection<String> uniqCols)` Construct merge query.

### Methods inherited from class org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect

`getMaxParameterCount, insertQuery, loadCacheQuery, loadCacheRangeQuery, loadCacheSelectRangeQuery, loadQuery, mkString, mkString, mkString, removeQuery, repeat, setMaxParameterCount, updateQuery`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DB2Dialect

    public DB2Dialect()

### Method Detail

#### hasMerge

    public boolean hasMerge()

Specified by:
  `hasMerge` in interface `JdbcDialect`
Overrides:
  `hasMerge` in class `BasicJdbcDialect`
Returns:
  `True` if database support merge operation.

#### mergeQuery

    public String mergeQuery(String fullTblName,
                    Collection<String> keyCols,
                    Collection<String> uniqCols)

Construct merge query.

Specified by:
  `mergeQuery` in interface `JdbcDialect`
Overrides:
  `mergeQuery` in class `BasicJdbcDialect`
Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns.
  `uniqCols` - Database unique value columns.
Returns:
  Put query.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015